Ben
Burton
12. aprill 2003
kapptemplate
1

# `kapptemplate`

Raamistiku loomine KDE rakenduse arendamiseks

    kapptemplate --noinit --default --full-app --kpart-app --kpart-plugin --existing --help

## Kirjeldus

`kapptemplate` on shelliskript, mis loob raamistiku mitmesuguste &kde; rakenduste arendamiseks. See kannab hoolt autoconf/automake'i koodi eest, loob teatud baasi ja ühtlasi näidise, milline kood tavaliselt välja näeb.

See utiliit kuulub &kde; tarkvaraarenduse komplekti koosseisu.

## Võtmed

### Üldised võtmed

`--help`

  Näitab kõiki võtmeid koos selgitustega.

`--no-init`

  Ei käivitata käsku `make` `-f` `Makefile.cvs`

`--default`

  Kasutatakse vaikeväärtusi.

### Raamistikutüübid

`--full-app`

  Luuakse kõigi võimalustega KDE rakendus.

`--kpart-app`

  Luuakse kõigi võimalustega KPart-rakendus.

`--kpart-plugin`

  Luuakse KPart-plugina raamistik.

`--existing`

  Teisendatakse olemasolev allikas KDE automake/autoconf-raamistikku.

## Failid

`~/.kapptemplate`

  Salvestab vaikeväärtused

## Vaata ka

`$PREFIX/share/doc/kapptemplate`

## Autorid

`kapptemplate`'i kirjutas &Kurt.Granroth; &Kurt.Granroth.mail;

Käesoleva manuaalilehekülje kirjutas Ben Burton bab@debian.org